/*
 * FormatParser.hpp
 *
 *  Created on: Mar 1, 2010
 *      Author: metzler
 */

#ifndef FORMATPARSER_HPP_
#define FORMATPARSER_HPP_

#include "Patterns/Observer.hpp"
#include "ChangeTracker.hpp"
#include "parser.hpp"

using namespace std;

class FormatParser : public Observer {
public:
  FormatParser();
  ~FormatParser();
  virtual void save(char* fileName);
  virtual void load(char* fileName);

private:
  MatrixContainer* readData(char* fileName, int skiplines, int skipcolumns);
  virtual int getHeaderSize(char identifier);
};

#endif /* FORMATPARSER_HPP_ */
